@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.wrapper {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 2;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    clip-path: circle(0px at calc(100% - 45px) 45px);
    transition: clip-path 0.3s ease-in-out;
    overflow: hidden;
}

#active:checked~.wrapper {
    clip-path: circle(75%);
}

main {
    transition: all 0.4s ease, opacity 0.4s ease;
}

main.blur {
    filter: blur(20px);
    overflow: hidden;
}

.menu-btn {
    position: fixed;
    right: 20px;
    top: 20px;
    z-index: 99;
    text-align: center;
    line-height: 50px;
    height: 50px;
    width: 50px;
    border-radius: 50%;
    background: none;
    font-size: 20px;
    cursor: pointer;
    transition: all 0.3s ease;
    background: none;
}

#active:checked~.menu-btn i:before {
    content: "\f00d";
}

.wrapper {
    background: linear-gradient(to right, #e0cabe, #ffbe82);
}

.wrapper ul {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    list-style: none;
    text-align: center;
}

.wrapper ul li {
    margin: 15px 0;
}

input[type="checkbox"] {
    display: none;
}

.wrapper ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 35px;
    padding: 5px 50px;
    position: relative;
    transition: all 0.3s ease;
    font-family: 'Playfair Display', serif !important;
}

.wrapper ul li a:after {
    content: "";
    position: absolute;
    left: 0;
    width: 100%;
    height: 50px;
    background: #fff;
    filter: blur(15px);
    border-radius: 50px;
    transform: scaleY(0);
    z-index: -1;
    transition: transform 0.4s ease;
}

.wrapper ul li a:hover:after {
    transform: scaleY(1);
}

.wrapper ul li a:hover {
    color: black;
    transition: color 0.5s ease;
}

.menu-btn .bar1,
.menu-btn .bar2,
.menu-btn .bar3 {
    width: 30px;
    height: 4px;
    background-color: #fff;
    margin: 6px auto;
    transition: 0.4s;
    border-radius: 2px;
    transition: 0.15s ease-in-out;
}

.menu-btn:hover {
    transform: scale(1.1);
}

#active:checked+.menu-btn .bar1 {
    transform: translateY(10px) rotate(-45deg);
    background-color: #fff;
}

#active:checked+.menu-btn .bar2 {
    opacity: 0;
}

#active:checked+.menu-btn .bar3 {
    transform: translateY(-10px) rotate(45deg);
}

.logo {
    display: flex;
    position: fixed;
    justify-content: left;
    align-items: left;
    z-index: 100;
    width: 8%;
    height: auto;
    margin: 20px 20px;
    transition: 0.15s ease-in-out;
    z-index: 10001;
}

.logo img {
    width: 100%;
    height: 100%;
    align-content: center;
    justify-content: center;
    object-fit: cover;
    object-position: center;
    border-radius: 1%;
}

.logo:hover {
    transform: scale(1.1);
}

.blur-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    pointer-events: none;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    z-index: 9998;
}

@media (max-width: 890px) {
    .wrapper ul li a {
        font-size: 25px;
        padding: 0px 0px;
    }

    .menu-btn i {
        font-size: 20px;
    }

    .logo {
        width: 15%;
    }

}